@extends('dashboards.layouts.dash-layout')
@section('title', 'Analisis')

@section('content')

<!-- Content Header (Page header) -->
<section class="content-header">
  <div class="container-fluid mt-2 px-3">
    <div class="row mb-2">
      <div class="col-sm-6">
        <h1>Analisis</h1>
      </div>
      <div class="col-sm-6">
        <ol class="breadcrumb float-sm-right">
          <li class="breadcrumb-item"><a href="{{ Route('adminIndexAnalisis') }}">Analisis</a></li>
        </ol>
      </div>
    </div>
  </div><!-- /.container-fluid -->

  @if ($message = Session::get('success'))
  <div class="container-fluid px-3">
    <div class="card card-success">
      <div class="card-header">
        <h3 class="card-title">SUKSES</h3>

        <div class="card-tools">
          <button type="button" class="btn btn-tool" data-card-widget="remove"><i class="fas fa-times"></i>
          </button>
        </div>
        <!-- /.card-tools -->
      </div>
      <!-- /.card-header -->
      <div class="card-body">
        <strong> {{ $message }} </strong>
        @foreach ($errors->all() as $error)
        <li>{{ $error }}</li>
        @endforeach
      </div>
      <!-- /.card-body -->
    </div>
  </div>
  @endif
</section>

<section class="content">
  <div class="container-fluid px-3">
    <div class="row">
      <div class="col-12">
        <div class="card">
          <div class="card-body">
            {{-- peringatan --}}
            <div class="card card-warning">
              <div class="card-header">
                <h3 class="card-title">Penting</h3>

                <div class="card-tools">
                  <button type="button" class="btn btn-tool" data-card-widget="remove"><i class="fas fa-times"></i>
                  </button>
                </div>
                <!-- /.card-tools -->
              </div>
              <!-- /.card-header -->
              <div class="card-body">
                Untuk mendapatkan data terbaru, jangan lupa untuk mengunjungi halaman <a href="{{ Route('adminIndexPerhitungan') }}">Perhitungan</a> terlebih dahulu sebelum mengunjungi halaman ini.
              </div>
              <!-- /.card-body -->
            </div>
            <!-- /.card -->
            {{-- peringatan --}}
            <h6>Berikut adalah hasil perhitungan menggunakan metode TOPSIS. Alternatif dengan nilai preferensi tertinggi adalah yang terbaik</h6>
            <table id="example1" class="table table-bordered table-striped">
              <thead>
                <tr>
                  <th>Nomor</th>
                  <th>Kode Alternatif</th>
                  <th>Nama Alternatif</th>
                  <th>Preferensi</th>
                </tr>
              </thead>
              <tbody>
                @foreach ($nilaiakhir as $na)
                {{-- {{ dd($na) }} --}}
                <tr>
                  <td>{{ $loop->iteration }}</td>
                  <td>{{ $na->kodenyaalter }}</td>
                  <td>{{ $na->namanyaalter }}</td>
                  <td>{{ $na->nilaipreferensi }}</td>
                </tr>
                @endforeach

              </tbody>
            </table>
            <p>Tabel 1 : Alternatif terurut</p>
          </div>
        </div>
      </div>
    </div>
  </div>
</section>

@for ($i = 0; $i < $kriterias->count(); $i++)
  <section class="content">
    <div class="container-fluid px-3">
      <!-- AREA CHART -->
      <div class="card card-primary">
        <div class="card-header">
          <h3 class="card-title">{{ $kriterias[$i]->namakriteria }}</h3>

          <div class="card-tools">
            <button type="button" class="btn btn-tool" data-card-widget="collapse">
              <i class="fas fa-minus"></i>
            </button>
          </div>
        </div>
        <div class="card-body">
          <div class="chart">
            <canvas id="chart{{ $i }}" style="min-height: 250px; height: 250px; max-height: 250px; max-width: 100%;"></canvas>
          </div>
        </div>
        <!-- /.card-body -->
      </div>
      <!-- /.card -->
    </div>
    <!-- /.card-sukces -->
  </section>
  @endfor

  @push('js')

  @for ($i = 0; $i < $kriterias->count(); $i++)
    <script type="text/javascript">
      var kritenya = <?php echo json_encode($tiapkrite[$i]) ?>;
      var alternya = <?php echo json_encode($tiapalter) ?>;
      var iternya = <?php echo json_encode($i) ?>;
      var hem = iternya.toString();

      new Chart('chart' + hem, {
        type: 'line',
        data: {
          labels: alternya,
          datasets: [{
            label: 'Nilai untuk kriteria tersebut',
            data: kritenya,
            borderWidth: 3
          }]
        },
        options: {
          scales: {
            y: {
              beginAtZero: true
            }
          }
        }
      });
    </script>
    @endfor
    <script type="text/javascript" src="https://cdnjs.cloudflare.com/ajax/libs/pdfmake/0.1.36/pdfmake.min.js"></script>
    <script type="text/javascript" src="https://cdnjs.cloudflare.com/ajax/libs/pdfmake/0.1.36/vfs_fonts.js"></script>
    <script type="text/javascript" src="https://cdn.datatables.net/v/dt/dt-1.13.1/b-2.3.3/b-html5-2.3.3/b-print-2.3.3/datatables.min.js"></script>

    <script type="text/javascript" src="https://code.jquery.com/jquery-3.5.1.js"></script>
    <script type="text/javascript" src="https://cdn.datatables.net/1.13.1/js/jquery.dataTables.min.js"></script>
    <script type="text/javascript" src="https://cdn.datatables.net/1.13.1/js/dataTables.bootstrap4.min.js"></script>
    <script type="text/javascript" src="https://cdn.datatables.net/buttons/2.3.2/js/dataTables.buttons.min.js"></script>
    <script type="text/javascript" src="https://cdn.datatables.net/buttons/2.3.2/js/buttons.bootstrap4.min.js"></script>
    <script type="text/javascript" src="https://cdnjs.cloudflare.com/ajax/libs/jszip/3.1.3/jszip.min.js"></script>
    <script type="text/javascript" src="https://cdnjs.cloudflare.com/ajax/libs/pdfmake/0.1.53/pdfmake.min.js"></script>
    <script type="text/javascript" src="https://cdnjs.cloudflare.com/ajax/libs/pdfmake/0.1.53/vfs_fonts.js"></script>
    <script type="text/javascript" src="https://cdn.datatables.net/buttons/2.3.2/js/buttons.html5.min.js"></script>
    <script type="text/javascript" src="https://cdn.datatables.net/buttons/2.3.2/js/buttons.print.min.js"></script>
    <script type="text/javascript" src="https://cdn.datatables.net/buttons/2.3.2/js/buttons.colVis.min.js"></script>

    <script>
      $(document).ready(function() {
        var table = $('#example1').DataTable({
          buttons: [{
              extend: 'copy',
            },
            {
              extend: 'csv',
            },
            {
              extend: 'excel',
            },
            {
              extend: 'pdf',
            },
            {
              extend: 'print',
            },
          ],
          // columnDefs: [ {
          //     targets: -1,
          //     visible: false
          // } ],
          lengthMenu: [
            [10, 25, 50, 100, -1],
            [10, 25, 50, 100, "All"]
          ],
          language: {
            lengthMenu: "Tampilkan _MENU_ data per halaman",
            zeroRecords: "Tidak ada data - Maaf",
            info: "Menampilkan halaman ke- _PAGE_ dari _PAGES_",
            infoEmpty: "Tidak ada data yang tersedia",
            infoFiltered: "(Filterisasi dari _MAX_ total data)",
            search: "Cari :",
            paginate: {
              first: "Awal",
              last: "Akhir",
              next: "Selanjutnya",
              previous: "Sebelumnya"
            },
          }
        });

        table.buttons().container()
          .appendTo('#example1_wrapper .col-md-6:eq(0)');

      });
    </script>
    @endpush
    @endsection